## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/monocasual/%{name}
%global commit 75e79f53b129a26859ae2644173f4d57954801fc

Name:           geompp
Summary:        Basic geometrical utilities for C++
# Note that the forgemeta macro prepends snapshot information to %%dist.
%forgemeta
# Upstream has never chosen a version
Version:        0
Release:        %autorelease -p -b 2

URL:            %{forgeurl}
Source0:        %{forgesource}
License:        GPLv3+

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package devel
Summary:        %{summary}

# Header-only library
Provides:       %{name}-static = %{version}-%{release}

%description devel %{common_description}


%prep
%forgeautosetup
# Patch to allow installing in a subdirectory of the global include path
# https://github.com/monocasual/geompp/issues/1
sed -r -i 's|^(#include ")([^/]+\.hpp")|\1%{name}/\2|' src/*.hpp


# No build section required for this header-only library


# Upstream has no tests


%install
install -d '%{buildroot}%{_includedir}/%{name}'
install -t '%{buildroot}%{_includedir}/%{name}' -m 0644 -p src/*.hpp


%files devel
%license LICENSE

%{_includedir}/%{name}


%changelog
* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0-0.5
- Update to 75e79f53b129a26859ae2644173f4d57954801fc

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.2.20210518git95ea180
- Fix internal includes to work with geompp/ include path

* Tue May 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.1.20210518git95ea180
- Initial package

